- Use
searchto match field names. - Use
filters[]to filter by supported field properties. The developer fields list currently supports thetypefilter. - Use
sorting[]to control sort order. If you do not provide sorting, fields are ordered bycreated_at. - The response is not paginated.
List Fields
Retrieve the custom fields configured for your workspace. Results include each field's UUID, name, optional description, type, format, and creation timestamp. Descriptions provide human-authored context about how a field should be interpreted and used.
Query Options
Filtering, searching, and sorting supported by the list endpoint
GET
/v1/fieldsList custom fields for a workspace
Request body
searchstringQuery parameter used to search by field name
filters[]arrayQuery parameter containing JSON-encoded filter objects. Supported filter `id` values currently include `type`.
Show Object Properties
sorting[]arrayQuery parameter containing JSON-encoded sort descriptors
Show Object Properties